package com.school.project.controller;

import org.springframework.security.core.Authentication;
import org.springframework.security.core.annotation.CurrentSecurityContext;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping("/school")
public class UserController {

    @GetMapping("/user")
    public List<String> currentUserName(@CurrentSecurityContext(expression = "authentication")
                                  Authentication authentication) {

        List<String> data = new ArrayList<>();
        data.add(authentication.getName());
        data.add(String.valueOf(authentication.getAuthorities()));
        data.add(String.valueOf(authentication.getCredentials()));
        data.add(String.valueOf(authentication.getDetails()));
        data.add(String.valueOf(authentication.getPrincipal()));

        return data;
    }
}
